service(7)

# NAME

service - services and applications management

# DESCRIPTION

The *service*(1) tool manages services.

The *rc*(1) script starts the components of the system not handled by *init*(1).
*rc* is usually the first application to call *service*.

# SERVICE IDS

Service ids are the name of a service, that may be prefixed by the name of their environment and a slash ('/').

The default environment for services, if none is provided, is named *root*.

# TOKENS

Interactions between services is represented by *tokens*.
Their names and behavior are arbitrary, and they only serve in establishing conventions between services.

# FILES

## /etc/rc/services

Directory in which the metadata about instances of services handled by *service*(1) are stored.

## /etc/rc/environments

Directory in which the metadata about environments of services handled by *service*(1) are stored.

The *root* environment is virtual and does not have a matching entry.

## /usr/weirdos/share/services

Directory in which the behavior of services is stored.

## /usr/weirdos/share/templates

Directory in which configuration templates to be used by service’s *gen-config* are stored.

# SEE ALSO

*spec*(5)

# AUTHORS

Luka Vandervelden <lukc@upyum.com>

